IntroductionAuthenticationSelecting dataFilteringSorting & pagination

Core resources

Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgets

Booking flow

Query availabilitySearch availabilityBook

The pricing widget object

Attributes

iduuid
organization_iduuid
organizations.id
product_iduuid | null
products.id
created_attimestamp with time zone
updated_attimestamp with time zone
color_backgroundtext
color_primarytext
color_texttext
fonttext | null
ftstsvector
languagetext
show_brandingboolean
titletext
The pricing widget object

JSON

{
  "id": "00000000-0000-0000-0000-000000000000",
  "organization_id": "00000000-0000-0000-0000-000000000000",
  "product_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-03-12T05:09:02.881Z",
  "updated_at": "2026-03-12T05:09:02.881Z",
  "color_background": "#fff",
  "color_primary": "#067f54",
  "color_text": "#000",
  "font": "",
  "language": "en-US",
  "show_branding": true,
  "title": ""
}

List pricing widgets

Filters

idFilter<uuid>
organization_idFilter<uuid>
organizations.id
product_idFilter<uuid | null>
products.id
created_atFilter<timestamp with time zone>
updated_atFilter<timestamp with time zone>
color_backgroundFilter<text>
color_primaryFilter<text>
color_textFilter<text>
fontFilter<text | null>
ftsFilter<tsvector>
languageFilter<text>
show_brandingFilter<boolean>
titleFilter<text>

Responses

200

A list of pricing widgets with the selected columns

206

Partial Content

GET /pricing_widgets
curl -X GET "https://api.bookingmood.com/v1/pricing_widgets?select=*" \
  -H "Authorization: Bearer YOUR_API_KEY"

Create pricing widgets

Body

Partial<PricingWidget> | Array<Partial<PricingWidget>>

Responses

201

The newly created pricing widgets with the selected columns

POST /pricing_widgets
curl -X POST "https://api.bookingmood.com/v1/pricing_widgets" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '[]'

Delete pricing widgets

Filters

idFilter<uuid>
organization_idFilter<uuid>
organizations.id
product_idFilter<uuid | null>
products.id
created_atFilter<timestamp with time zone>
updated_atFilter<timestamp with time zone>
color_backgroundFilter<text>
color_primaryFilter<text>
color_textFilter<text>
fontFilter<text | null>
ftsFilter<tsvector>
languageFilter<text>
show_brandingFilter<boolean>
titleFilter<text>

Responses

204

The deleted pricing widgets with the selected columns

DELETE /pricing_widgets
curl -X DELETE "https://api.bookingmood.com/v1/pricing_widgets" \
  -H "Authorization: Bearer YOUR_API_KEY"

Update pricing widgets

Filters

idFilter<uuid>
organization_idFilter<uuid>
organizations.id
product_idFilter<uuid | null>
products.id
created_atFilter<timestamp with time zone>
updated_atFilter<timestamp with time zone>
color_backgroundFilter<text>
color_primaryFilter<text>
color_textFilter<text>
fontFilter<text | null>
ftsFilter<tsvector>
languageFilter<text>
show_brandingFilter<boolean>
titleFilter<text>

Body

Partial<PricingWidget>

Responses

204

The updated pricing widgets with the selected columns

PATCH /pricing_widgets
curl -X PATCH "https://api.bookingmood.com/v1/pricing_widgets" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{}'